> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kas.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# KRC20 token market data

> Retrieve market data for a list of KRC20 tokens

## Cost

This endpoint costs **0.01 RU** (Request Units) per call.


## OpenAPI

````yaml GET /v1/tokens/krc20/market-data
openapi: 3.0.0
info:
  title: Kaspa Developer Platform (KDP) API
  description: >-
    A high-performance REST API providing real-time and historical data from the
    Kaspa blockchain
  version: '1.0'
  contact: {}
servers:
  - url: https://api.kas.fyi
    description: Mainnet API
security: []
tags:
  - name: Address
    description: Operations related to Kaspa addresses
  - name: Block
    description: Operations related to Kaspa blocks
  - name: Transaction
    description: Operations related to Kaspa transactions
  - name: Token
    description: Operations related to KRC20 tokens
  - name: Kaspa Node RPC Proxy
    description: Direct proxy to Kaspa node RPC methods
paths:
  /v1/tokens/krc20/market-data:
    get:
      tags:
        - Token
      summary: KRC20 token market data
      description: Retrieve market data for a list of KRC20 tokens
      operationId: TokenController_getTokenMarketData
      parameters:
        - name: tickers
          required: true
          in: query
          description: Comma-separated list of KRC20 token tickers. Max length 500
          schema:
            example: NACHO,KANGO,PEPE
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTokensMarketDataResponse'
      security:
        - x-api-key: []
components:
  schemas:
    GetTokensMarketDataResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/TokenMarketData'
      required:
        - results
    TokenMarketData:
      type: object
      properties:
        ticker:
          type: string
        price:
          description: Token price in Kaspa and USD
          allOf:
            - $ref: '#/components/schemas/TokenPrice'
        volume24h:
          description: Token trading volume for the last 24 hours
          allOf:
            - $ref: '#/components/schemas/TokenVolume'
        marketCap:
          description: Token market capitalization
          allOf:
            - $ref: '#/components/schemas/TokenMarketCap'
        rank:
          type: number
      required:
        - ticker
        - price
        - volume24h
        - marketCap
        - rank
    TokenPrice:
      type: object
      properties:
        kas:
          type: number
        usd:
          type: number
      required:
        - kas
        - usd
    TokenVolume:
      type: object
      properties:
        usd:
          type: number
      required:
        - usd
    TokenMarketCap:
      type: object
      properties:
        usd:
          type: number
      required:
        - usd
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key required for authentication. Get your API key at
        https://developer.kas.fyi

````